Open-source Languages & Tools for z/OS

Expand all | Collapse all

ROCKET PUBLIC CONDA CHANNEL - HTTP 000

  • 1.  ROCKET PUBLIC CONDA CHANNEL - HTTP 000

    Posted 12-10-2020 12:47

    Firstly great idea and impressive suite of tools .

    I just installed miniconda and was testing it purely for personal self study for now,  but Im having issues getting to the public Conda Server

    The documentation says to use this channel for public Conda server

    Rocket public conda channel for z/OS open source

    The channel https://anaconda.org/zoss-appdev has been set up and is maintained by Rocket and is open and available to anyone.

     

    I removed defaults and other repos from condarc

    /.condarc

    *****************************************

    channels:

      - https://anaconda.org/zoss-appdev

     

    /usr/rocketsw/miniconda/.condarc

    ********************************************

    add_pip_as_python_dependency: False

     

    conda info

    channel URLs : https://anaconda.org/zoss-appdev/zos-z

                   https://anaconda.org/zoss-appdev/noarch

     

    conda search git

    Loading channels: failed

          CondaHTTPError: HTTP 000 CONNECTION FAILED for url <https://anaconda.org/zoss-appdev/noarch/repodata.json>

    Elapsed: -

          An HTTP error occurred when trying to retrieve this URL.

    HTTP errors are often intermittent, and a simple retry will get you on your way.

    SSLError(MaxRetryError('HTTPSConnectionPool(host=\'anaconda.org\', port=443): Max retries exceeded with url: /zoss-appdev/noarch/rep

    odata.json (Caused by SSLError(SSLError("bad handshake: Error([(\'SSL routines\', \'ssl3_get_server_certificate\', \'certificate ver

    ify failed\')])")))'))

    thanks 
    Mike 



    ------------------------------
    Michael Hurley
    DELL EMC
    ------------------------------


  • 2.  RE: ROCKET PUBLIC CONDA CHANNEL - HTTP 000

    ROCKETEER
    Posted 12-10-2020 16:18

    Hi Michael,

    Leave just "  - zoss-appdev" in channel section.
    You can also add it using "conda config --add channels zoss-appdev" command

    Thanks,
    Alexander



    ------------------------------
    Alexander Klochkov
    Rocket Software
    ------------------------------



  • 3.  RE: ROCKET PUBLIC CONDA CHANNEL - HTTP 000

    Posted 12-11-2020 08:23

    I changed the condarc file as directed , and still have the same issue.  
    I also set conda config --set ssl_verify False

    /.condarc
    *************************
    channels:
    - zoss-appdev

    /usr/rocketsw/miniconda/.condarc
    **************************************
    add_pip_as_python_dependency: False

    conda info 
    active environment : None
    user config file : /.condarc
    populated config files : /usr/rocketsw/miniconda/.condarc
    /.condarc
    conda version : 4.5.8
    conda-build version : conda-build-3.12.0-py37_2+1.g84cda1f6
    python version : 3.7.0.final.0
    base environment : /usr/rocketsw/miniconda (writable)
    channel URLs : https://conda.anaconda.org/zoss-appdev/zos-z
    https://conda.anaconda.org/zoss-appdev/noarch
    package cache : /usr/rocketsw/miniconda/pkgs
    /.conda/pkgs
    envs directories : /usr/rocketsw/miniconda/envs
    /.conda/envs
    platform : zos-z
    user-agent : conda/4.5.8 requests/2.19.1 CPython/3.7.0 z/OS/2.4 z/OS/0
    UID:GID : 0:2
    netrc file : None
    offline mode : False

    # conda search git
    Loading channels: failed

    CondaHTTPError: HTTP 000 CONNECTION FAILED for url <https://conda.anaconda.org/zoss-appdev/noarch/repodata.json>
    Elapsed: -

    An HTTP error occurred when trying to retrieve this URL.
    HTTP errors are often intermittent, and a simple retry will get you on your way.
    SSLError(MaxRetryError('HTTPSConnectionPool(host=\'conda.anaconda.org\', port=443): Max retries exceeded with url: /zoss-appdev/noar
    ch/repodata.json (Caused by SSLError(SSLError("bad handshake: Error([(\'SSL routines\', \'ssl3_get_server_certificate\', \'certifica
    te verify failed\')])")))'))

    conda config --show

    conda config –show

                                    add_anaconda_token: True

    add_pip_as_python_dependency: False

    aggressive_update_packages:

      - ca-certificates

      - certifi

      - openssl

    allow_non_channel_urls: False

    allow_softlinks: False

    always_copy: False

    always_softlink: False

    always_yes: None

    anaconda_upload: None

    auto_update_conda: True

    changeps1: True

    channel_alias: https://conda.anaconda.org

    channel_priority: True

    channels:

      - zoss-appdev

    client_ssl_cert: None

    client_ssl_cert_key: None

    clobber: False

    create_default_packages: []

    custom_channels:

      pkgs/main: https://repo.anaconda.com

      pkgs/free: https://repo.anaconda.com

      pkgs/r: https://repo.anaconda.com

      pkgs/pro: https://repo.anaconda.com

    custom_multichannels:

      defaults: ["https://repo.anaconda.com/pkgs/main", "https://repo.anaconda.com/pkgs/free", "https://repo.anaconda.com/pkgs/r", "http

    s://repo.anaconda.com/pkgs/pro"]

      local: []

    default_channels:

      - https://repo.anaconda.com/pkgs/main

      - https://repo.anaconda.com/pkgs/free

      - https://repo.anaconda.com/pkgs/r

      - https://repo.anaconda.com/pkgs/pro

    disallowed_packages: []

    download_only: False

    envs_dirs:

      - /usr/rocketsw/miniconda/envs

      - /.conda/envs

    force: False

    json: False

    local_repodata_ttl: 1

    max_shlvl: 2

    migrated_channel_aliases: []

    no_dependencies: False

    non_admin_enabled: True

    notify_outdated_conda: True

    offline: False

    override_channels_enabled: True

    path_conflict: clobber

    pinned_packages: []

    pkgs_dirs:

      - /usr/rocketsw/miniconda/pkgs

      - /.conda/pkgs

    proxy_servers: {}

    quiet: False

    read_only_dirs: []

    remote_connect_timeout_secs: 9.15

    remote_max_retries: 3

    remote_read_timeout_secs: 60.0

    report_errors: None

    rollback_enabled: True

    safety_checks: warn

    shortcuts: True

    show_channel_urls: None

    ssl_verify: False

    track_features: []

    use_index_cache: False

    use_pip: True

    verbosity: 0

    whitelist_channels: []

    conda config –show

                                    add_anaconda_token: True

    add_pip_as_python_dependency: False

    aggressive_update_packages:

      - ca-certificates

      - certifi

      - openssl

    allow_non_channel_urls: False

    allow_softlinks: False

    always_copy: False

    always_softlink: False

    always_yes: None

    anaconda_upload: None

    auto_update_conda: True

    changeps1: True

    channel_alias: https://conda.anaconda.org

    channel_priority: True

    channels:

      - zoss-appdev

    client_ssl_cert: None

    client_ssl_cert_key: None

    clobber: False

    create_default_packages: []

    custom_channels:

      pkgs/main: https://repo.anaconda.com

      pkgs/free: https://repo.anaconda.com

      pkgs/r: https://repo.anaconda.com

      pkgs/pro: https://repo.anaconda.com

    custom_multichannels:

      defaults: ["https://repo.anaconda.com/pkgs/main", "https://repo.anaconda.com/pkgs/free", "https://repo.anaconda.com/pkgs/r", "http

    s://repo.anaconda.com/pkgs/pro"]

      local: []

    default_channels:

      - https://repo.anaconda.com/pkgs/main

      - https://repo.anaconda.com/pkgs/free

      - https://repo.anaconda.com/pkgs/r

      - https://repo.anaconda.com/pkgs/pro

    disallowed_packages: []

    download_only: False

    envs_dirs:

      - /usr/rocketsw/miniconda/envs

      - /.conda/envs

    force: False

    json: False

    local_repodata_ttl: 1

    max_shlvl: 2

    migrated_channel_aliases: []

    no_dependencies: False

    non_admin_enabled: True

    notify_outdated_conda: True

    offline: False

    override_channels_enabled: True

    path_conflict: clobber

    pinned_packages: []

    pkgs_dirs:

      - /usr/rocketsw/miniconda/pkgs

      - /.conda/pkgs

    proxy_servers: {}

    quiet: False

    read_only_dirs: []

    remote_connect_timeout_secs: 9.15

    remote_max_retries: 3

    remote_read_timeout_secs: 60.0

    report_errors: None

    rollback_enabled: True

    safety_checks: warn

    shortcuts: True

    show_channel_urls: None

    ssl_verify: False

    track_features: []

    use_index_cache: False

    use_pip: True

    verbosity: 0

    whitelist_channels: []



    ------------------------------
    Michael Hurley
    DELL EMC
    ------------------------------



  • 4.  RE: ROCKET PUBLIC CONDA CHANNEL - HTTP 000

    ROCKETEER
    Posted 12-11-2020 12:18
    Hi Michael,
    Is the date and time on your system correct? This might be a problem according to https://github.com/conda/conda/issues/4930
    Thanks,
    Alex

    ------------------------------
    Alexander Klochkov
    Rocket Software
    ------------------------------



  • 5.  RE: ROCKET PUBLIC CONDA CHANNEL - HTTP 000

    Posted 12-14-2020 06:37
    Hi Alex,
    I had done alot of looking myself for a solution to this. My timezone looks fine its GMT0 

    MHURLE1:/: >printenv TZ
    GMT0
    MHURLE1:/: >conda search g
    Loading channels: failed

    CondaHTTPError: HTTP 000 CONNECTION FAILED for url <https://conda.anaconda.org/zoss-appdev/zos-z/repodata.json>
    Elapsed: -

    An HTTP error occurred when trying to retrieve this URL.
    HTTP errors are often intermittent, and a simple retry will get you on your way.
    SSLError(MaxRetryError('HTTPSConnectionPool(host=\'conda.anaconda.org\', port=443): Max retries exceeded with url: /zoss-appdev/zos-
    z/repodata.json (Caused by SSLError(SSLError("bad handshake: Error([(\'SSL routines\', \'ssl3_get_server_certificate\', \'certificat
    e verify failed\')])")))'))

    I wonder if I could try to login to the secure server , how do I get an ID for this repo ? 

    MHURLE1:/: >conda repo login
    Username:
    Password:

    [ERROR] HTTPSConnectionPool(host='condaserver.rocketsoftware.com', port=443): Max retries exceeded with url: /api/auth/login (Caused
    by SSLError(SSLError("bad handshake: Error([('SSL routines', 'ssl3_get_server_certificate', 'certificate verify failed')])")))
    MHURLE1:/: >

    ------------------------------
    Michael Hurley
    DELL EMC
    ------------------------------



  • 6.  RE: ROCKET PUBLIC CONDA CHANNEL - HTTP 000

    Posted 12-14-2020 08:44
    Hi Michael,
    Rocket secure conda server is available only for customers with support contract.
    Could you share the output of "env | sort" command?


    ------------------------------
    Tatiana Balaburkina
    Rocket Software
    ------------------------------



  • 7.  RE: ROCKET PUBLIC CONDA CHANNEL - HTTP 000

    Posted 12-14-2020 09:06

    Hi Tatiana ,  here is the output. 

    MHURLE1:/: >conda --version
    conda 4.5.8
    MHURLE1:/: >env | sort
    COLUMNS=132
    ENV=//.setup
    HOME=/
    LANG=C
    LIBPATH=/lib:/usr/lib:.
    LINES=23
    LOGNAME=MHURLE1
    MAIL=/usr/mail/MHURLE1
    MANPATH=/usr/man/%L
    NLSPATH=/usr/lib/nls/msg/%L/%N
    PATH=/bin:/usr/rocketsw/miniconda/bin
    PS1=$LOGNAME:$PWD: >
    PWD=/
    SHELL=/usr/rocketsw/miniconda/bin/bash
    SHLVL=1
    STEPLIB=none
    TERM=dumb
    TZ=GMT0
    _=/bin/env
    _BPXK_AUTOCVT=ON
    _BPX_TERMPATH=OMVS
    _CEE_RUNOPTS=FILETAG(AUTOCVT,AUTOTAG) POSIX(ON)



    ------------------------------
    Michael Hurley
    DELL EMC
    ------------------------------



  • 8.  RE: ROCKET PUBLIC CONDA CHANNEL - HTTP 000

    Posted 12-15-2020 03:30

    FWIW, here is some more info

    I turned on DEBUG , you can see 5 sttempts at connection , failures in SSL verify.
    Which seems odd as its turned off 

    conda config --show
         ssl_verify: False


    MHURLE1:/: >conda search g --debug
    DEBUG conda.gateways.logging:set_verbosity(148): verbosity set to 2
    Loading channels: ...working... DEBUG conda.core.package_cache_data:_check_writable(237): package cache directory '/usr/rocketsw/min
    iconda/pkgs' writable: True
    DEBUG conda.core.package_cache_data:_check_writable(237): package cache directory '/.conda/pkgs' writable: True
    DEBUG conda.core.subdir_data:_load(182): No local cache found for https://conda.anaconda.org/zoss-appdev/noarch at /usr/rocketsw/min
    iconda/pkgs/cache/b5e28891.json
    DEBUG urllib3.util.retry:from_int(210): Converted retries value: 5 -> Retry(total=5, connect=None, read=None, redirect=None, status=
    None)
    DEBUG urllib3.connectionpool:_new_conn(823): Starting new HTTPS connection (1): conda.anaconda.org:443
    DEBUG urllib3.util.retry:increment(400): Incremented Retry for (url='/zoss-appdev/noarch/repodata.json'): Retry(total=4, connect=Non
    e, read=None, redirect=None, status=None)
    WARNING urllib3.connectionpool:urlopen(662): Retrying (Retry(total=4, connect=None, read=None, redirect=None, status=None)) after co
    nnection broken by 'SSLError(SSLError("bad handshake: Error([('SSL routines', 'ssl3_get_server_certificate', 'certificate verify fai
    led')])"))': /zoss-appdev/noarch/repodata.json
    DEBUG urllib3.connectionpool:_new_conn(823): Starting new HTTPS connection (2): conda.anaconda.org:443
    DEBUG urllib3.util.retry:increment(400): Incremented Retry for (url='/zoss-appdev/noarch/repodata.json'): Retry(total=3, connect=Non
    e, read=None, redirect=None, status=None)
    WARNING urllib3.connectionpool:urlopen(662): Retrying (Retry(total=3, connect=None, read=None, redirect=None, status=None)) after co
    nnection broken by 'SSLError(SSLError("bad handshake: Error([('SSL routines', 'ssl3_get_server_certificate', 'certificate verify fai
    led')])"))': /zoss-appdev/noarch/repodata.json
    DEBUG urllib3.connectionpool:_new_conn(823): Starting new HTTPS connection (3): conda.anaconda.org:443
    DEBUG urllib3.util.retry:increment(400): Incremented Retry for (url='/zoss-appdev/noarch/repodata.json'): Retry(total=2, connect=Non

    5 RETRYS 
    DEBUG urllib3.connectionpool:_new_conn(823): Starting new HTTPS connection (5): conda.anaconda.org:443
    DEBUG urllib3.util.retry:increment(400): Incremented Retry for (url='/zoss-appdev/noarch/repodata.json'): Retry(total=0, connect=Non
    e, read=None, redirect=None, status=None)
    WARNING urllib3.connectionpool:urlopen(662): Retrying (Retry(total=0, connect=None, read=None, redirect=None, status=None)) after co
    nnection broken by 'SSLError(SSLError("bad handshake: Error([('SSL routines', 'ssl3_get_server_certificate', 'certificate verify fai
    led')])"))': /zoss-appdev/noarch/repodata.json
    DEBUG urllib3.connectionpool:_new_conn(823): Starting new HTTPS connection (6): conda.anaconda.org:443
    failed
    Traceback (most recent call last):
    File "/usr/rocketsw/miniconda/lib/python3.7/site-packages/urllib3/contrib/pyopenssl.py", line 444, in wrap_socket
    cnx.do_handshake()
    File "/usr/rocketsw/miniconda/lib/python3.7/site-packages/OpenSSL/SSL.py", line 1907, in do_handshake
    self._raise_ssl_error(self._ssl, result)
    File "/usr/rocketsw/miniconda/lib/python3.7/site-packages/OpenSSL/SSL.py", line 1639, in _raise_ssl_error
    _raise_current_error()
    File "/usr/rocketsw/miniconda/lib/python3.7/site-packages/OpenSSL/_util.py", line 54, in exception_from_error_queue
    raise exception_type(errors)
    OpenSSL.SSL.Error: [('SSL routines', 'ssl3_get_server_certificate', 'certificate verify failed')]

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
     File "/usr/rocketsw/miniconda/lib/python3.7/site-packages/urllib3/connectionpool.py", line 600, in urlopen
    chunked=chunked)
    File "/usr/rocketsw/miniconda/lib/python3.7/site-packages/urllib3/connectionpool.py", line 343, in _make_request
    self._validate_conn(conn)
    File "/usr/rocketsw/miniconda/lib/python3.7/site-packages/urllib3/connectionpool.py", line 849, in _validate_conn
    conn.connect()
    File "/usr/rocketsw/miniconda/lib/python3.7/site-packages/urllib3/connection.py", line 356, in connect
    ssl_context=context)
    File "/usr/rocketsw/miniconda/lib/python3.7/site-packages/urllib3/util/ssl_.py", line 359, in ssl_wrap_socket
    return context.wrap_socket(sock, server_hostname=server_hostname)
    File "/usr/rocketsw/miniconda/lib/python3.7/site-packages/urllib3/contrib/pyopenssl.py", line 450, in wrap_socket
    raise ssl.SSLError('bad handshake: %r' % e)
    sl.SSLError: ("bad handshake: Error([('SSL routines', 'ssl3_get_server_certificate', 'certificate verify failed')])",)

    conda.exceptions.CondaHTTPError: HTTP 000 CONNECTION FAILED for url <https://conda.anaconda.org/zoss-appdev/noarch/repodata.json>
    Elapsed: -

    An HTTP error occurred when trying to retrieve this URL.
    HTTP errors are often intermittent, and a simple retry will get you on your way.
    SSLError(MaxRetryError('HTTPSConnectionPool(host=\'conda.anaconda.org\', port=443): Max retries exceeded with url: /zoss-appdev/noar
    ch/repodata.json (Caused by SSLError(SSLError("bad handshake: Error([(\'SSL routines\', \'ssl3_get_server_certificate\', \'certifica
    te verify failed\')])")))'))






    ------------------------------
    Michael Hurley
    DELL EMC
    ------------------------------



  • 9.  RE: ROCKET PUBLIC CONDA CHANNEL - HTTP 000

    ROCKETEER
    Posted 12-18-2020 06:13

    Hi Michael,

    Can you try the following:

    1. conda info -a 

    2. conda config --show-sources

    3. conda repo config --show

    4. 'conda activate' 

    5. export REQUESTS_CA_BUNDLE=/usr/rocketsw/miniconda/ssl/cacert.pem

    and try conda search again

    6. echo QUIT | openssl s_client -connect conda.anaconda.org:443

    Thanks,

    Alexander



    ------------------------------
    Alexander Klochkov
    Rocket Software
    ------------------------------



  • 10.  RE: ROCKET PUBLIC CONDA CHANNEL - HTTP 000

    Posted 12-18-2020 10:07

    Alex, here is the information . I masked out some details .  This is not urgent over the holidays, we can pick it up in the new year. 

    MHURLE1:/usr/lpp/miniconda/miniconda/ssl: >conda info -a

    active environment : None
    user config file : /.condarc
    populated config files : /usr/lpp/miniconda/miniconda/.condarc
    /.condarc
    conda version : 4.5.8
    conda-build version : conda-build-3.12.0-py37_2+1.g84cda1f6
    python version : 3.7.0.final.0
    base environment : /usr/lpp/miniconda/miniconda (writable)
    channel URLs : http://conda.anaconda.org/zoss-appdev/zos-z
    http://conda.anaconda.org/zoss-appdev/noarch
    package cache : /usr/lpp/miniconda/miniconda/pkgs
    /.conda/pkgs
    envs directories : /usr/lpp/miniconda/miniconda/envs
    /.conda/envs
    platform : zos-z
    user-agent : conda/4.5.8 requests/2.19.1 CPython/3.7.0 z/OS/2.4 z/OS/0
    UID:GID : 0:2
    netrc file : None
    offline mode : False

    # conda environments:
    #
    base * /usr/lpp/miniconda/miniconda

    sys.version: 3.7.0 (heads/v3.7.0-anaconda:60ac2eab75,...
    sys.prefix: /usr/lpp/miniconda/miniconda
    sys.executable: /usr/lpp/miniconda/miniconda/bin/python
    conda location: /usr/lpp/miniconda/miniconda/lib/python3.7/site-packages/conda
    conda-build: /usr/lpp/miniconda/miniconda/bin/conda-build
    conda-convert: /usr/lpp/miniconda/miniconda/bin/conda-convert
    conda-develop: /usr/lpp/miniconda/miniconda/bin/conda-develop
    conda-env: /usr/lpp/miniconda/miniconda/bin/conda-env
    conda-index: /usr/lpp/miniconda/miniconda/bin/conda-index
    conda-inspect: /usr/lpp/miniconda/miniconda/bin/conda-inspect
    conda-metapackage: /usr/lpp/miniconda/miniconda/bin/conda-metapackage
    conda-render: /usr/lpp/miniconda/miniconda/bin/conda-render
    conda-repo: /usr/lpp/miniconda/miniconda/bin/conda-repo
    conda-server: /usr/lpp/miniconda/miniconda/bin/conda-server
    conda-sign: /usr/lpp/miniconda/miniconda/bin/conda-sign
    conda-skeleton: /usr/lpp/miniconda/miniconda/bin/conda-skeleton
    conda-verify: /usr/lpp/miniconda/miniconda/bin/conda-verify
    user site dirs:
    CIO_TEST: <not set>
    CONDA_ROOT: /usr/lpp/miniconda/miniconda
    LIBPATH: /usr/lpp/miniconda/miniconda/lib:/lib:/usr/lib:.
    MANPATH: /usr/man/%L
    NLSPATH: /usr/lib/nls/msg/%L/%N
    PATH: /bin:/usr/sbin:/usr/lpp/miniconda/miniconda/bin
    REQUESTS_CA_BUNDLE: /usr/lpp/miniconda/miniconda/ssl/cacert.pem
    SSL_CERT_FILE: /usr/lpp/miniconda/miniconda/ssl/cert.pem
    _BPX_TERMPATH: OMVS

    WARNING: could not import _license.show_info
    # try:
    # $ conda install -n root _license

    ------------------------------------------------------------------------------------
    MHURLE1:/usr/lpp/miniconda/miniconda/ssl: >conda config --show-sources
    ==> /usr/lpp/miniconda/miniconda/.condarc <==
    add_pip_as_python_dependency: False
    ssl_verify: False
    channel_alias: http://conda.anaconda.org

    ==> /.condarc <==
    ssl_verify: False
    remote_connect_timeout_secs: 20.0
    remote_max_retries: 5
    channels:
    - zoss-appdev
    default_channels:
    - http://repo.anaconda.com/pkgs/main
    - http://repo.anaconda.com/pkgs/free
    - http://repo.anaconda.com/pkgs/r
    - http://repo.anaconda.com/pkgs/pro

    ------------------------------------------------------------------------------------
    MHURLE1:/usr/lpp/miniconda/miniconda/ssl: >conda repo config --show
    auto_register: true
    default_site: rocket-repo
    oauth2: false
    sites:
    repo-automation:
    url: http://repo-automation.dev.anaconda.com/api
    rocket-repo:
    url: https://condaserver.rocketsoftware.com/api
    ssl_verify: true
    url: https://condaserver.rocketsoftware.com/api

    -------------------------------------------------------------------------------------

    MHURLE1:/usr/lpp/miniconda/miniconda/ssl: >conda activate

    CommandNotFoundError: Your shell has not been properly configured to use 'conda activate'.
    If your shell is Bash or a Bourne variant, enable conda for the current user with

    $ echo ". /usr/lpp/miniconda/miniconda/etc/profile.d/conda.sh" >> ~/.bashrc

    or, for all users, enable conda with

    $ sudo ln -s /usr/lpp/miniconda/miniconda/etc/profile.d/conda.sh /etc/profile.d/conda.sh

    The options above will permanently enable the 'conda' command, but they do NOT
    put conda's base (root) environment on PATH. To do so, run

    $ conda activate

    in your terminal, or to put the base environment on PATH permanently, run

    $ echo "conda activate" >> ~/.bashrc

    Previous to conda 4.4, the recommended way to activate conda was to modify PATH in
    your ~/.bashrc file. You should manually remove the line that looks like

    export PATH="/usr/lpp/miniconda/miniconda/bin:$PATH"

    ^^^ The above line should NO LONGER be in your ~/.bashrc file! ^^^


    I then set the env
    MHURLE1:/usr/lpp/miniconda/miniconda/ssl: >echo ". /usr/lpp/miniconda/miniconda/etc/profile.d/conda.sh" >> ~/.bashrc
    MHURLE1:/usr/lpp/miniconda/miniconda/ssl: >echo "conda activate" >> ~/.bashrc

    and reran 'conda activate' but got the same output above

    -----------------------------------------------------------------------------------------
    export REQUESTS_CA_BUNDLE=/usr/lpp/miniconda/miniconda/ssl/cacert.pem

    MHURLE1:/usr/lpp/miniconda/miniconda/ssl: >printenv REQUESTS_CA_BUNDLE
    /usr/lpp/miniconda/miniconda/ssl/cacert.pem

    MHURLE1:/usr/lpp/miniconda/miniconda/ssl: >ls
    cacert.pem cacert.pem.README cert.pem misc openssl.cnf

    -------------------------------------------------------------------------------------------
    MHURLE1:/usr/lpp/miniconda/miniconda/ssl: >conda search g
    Loading channels: failed

    CondaHTTPError: HTTP 000 CONNECTION FAILED for url <http://conda.anaconda.org/zoss-appdev/noarch/repodata.json>
    Elapsed: -

    An HTTP error occurred when trying to retrieve this URL.
    HTTP errors are often intermittent, and a simple retry will get you on your way.
    SSLError(MaxRetryError('HTTPSConnectionPool(host=\'conda.anaconda.org\', port=443): Max retries exceeded with url: /zoss-appdev/noar
    ch/repodata.json (Caused by SSLError(SSLError("bad handshake: Error([(\'SSL routines\', \'ssl3_get_server_certificate\', \'certifica
    te verify failed\')])")))'))

    ----------------------------------------------------------------------------------------------
    MHURLE1:/usr/lpp/miniconda/miniconda/ssl: >echo QUIT | openssl s_client -connect conda.anaconda.org:443
    CONNECTED(00000003)

    depth=3 C = US, O = xxxxxxxxxxxxxxxxxxxxxxxxxxx, CN = xxxxxxxxxxxxxxxxxxxxxxxxxxx
    verify error:num=19:self signed certificate in certificate chain
    ---
    Certificate chain
    0 s:/C=US/ST=CA/L=San Francisco/O=Cloudflare, Inc./CN=anaconda.org
    i:/emailAddress=xxxxxxxxxxxxxxxxxxxxxxxxxxx@dell.com/C=US/O=xxxxxxxxxxxxxxxxxxxxxxxxxxx/OU=CyberSecurity/CN=xxxxxxxxxxxxxxxxxxxxxxxxxxx
    ority
    1 s:/emailAddress=xxxxxxxxxxxxxxxxxxxxxxxxxxx@dell.com/C=US/O=xxxxxxxxxxxxxxxxxxxxxxxxxxx/OU=CyberSecurity/CN=xxxxxxxxxxxxxxxxxxxxxxxxxxx
    ority
    i:/C=US/O=xxxxxxxxxxxxxxxxxxxxxxxxxxx/OU=xxxxxxxxxxxxxxxxxxxxxxxxxxx/CN=xxxxxxxxxxxxxxxxxxxxxxxxxxx v2
    2 s:/C=US/O=xxxxxxxxxxxxxxxxxxxxxxxxxxx/OU=xxxxxxxxxxxxxxxxxxxxxxxxxxx/CN=xxxxxxxxxxxxxxxxxxxxxxxxxxx v2
    i:/C=US/O=xxxxxxxxxxxxxxxxxxxxxxxxxxx/CN=xxxxxxxxxxxxxxxxxxxxxxxxxxx
    3 s:/C=US/O=xxxxxxxxxxxxxxxxxxxxxxxxxxx/CN=xxxxxxxxxxxxxxxxxxxxxxxxxxx
    i:/C=US/O=xxxxxxxxxxxxxxxxxxxxxxxxxxx/CN=xxxxxxxxxxxxxxxxxxxxxxxxxxx
    ---
    Server certificate
    -----BEGIN CERTIFICATE-----
    .......xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
    ......xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
    -----END CERTIFICATE-----
    subject=/C=US/ST=CA/L=San Francisco/O=Cloudflare, Inc./CN=anaconda.org
    issuer=/emailAddress=xxxxxxxxxxxxxxxxxxxxxxxxxxx@dell.com/C=US/O=xxxxxxxxxxxxxxxxxxxxxxxxxxx/OU=CyberSecurity/CN=xxxxxxxxxxxxxxxxxxxxxxxxxxx Au
    thority
    ---
    No client certificate CA names sent
    Peer signing digest: SHA512
    Server Temp Key: ECDH, P-256, 256 bits
    ---
    SSL handshake has read 5065 bytes and written 434 bytes
    ---
    New, TLSv1/SSLv3, Cipher is ECDHE-RSA-AES256-GCM-SHA384
    Server public key is 2048 bit
    Secure Renegotiation IS supported
    Compression: NONE
    Expansion: NONE
    No ALPN negotiated
    SSL-Session:
    Protocol : TLSv1.2
    Cipher : ECDHE-RSA-AES256-GCM-SHA384
    Session-ID: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
    Session-ID-ctx:
    Master-Key: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
    Key-Arg : None
    PSK identity: None
    PSK identity hint: None
    SRP username: None
    Start Time: 1608303380
    Timeout : 300 (sec)
    Verify return code: 19 (self signed certificate in certificate chain)
    ---
    DONE



    ------------------------------
    Michael Hurley
    DELL EMC
    ------------------------------



  • 11.  RE: ROCKET PUBLIC CONDA CHANNEL - HTTP 000

    ROCKETEER
    Posted 12-24-2020 05:49

    Hi Michael,

    1. remove following line from  /usr/lpp/miniconda/miniconda/.condarc

    channel_alias: http://conda.anaconda.org

    2. remove the following lines from  /.condarc

    default_channels:
    http://repo.anaconda.com/pkgs/main
    http://repo.anaconda.com/pkgs/free
    http://repo.anaconda.com/pkgs/r
    http://repo.anaconda.com/pkgs/pro

    3. conda activate isn't work because of the missed step of miniconda configuration: make sure you have ". <miniconda_installation_path>/etc/profile.d/conda.sh" in .bashrc or .profile, check zOS Miniconda Documentation 1.2.pdf for details, also don't forget to restart ssh or omvs session after .bashrc or .profile modifications

    4. Also is link "https://conda.anaconda.org/zoss-appdev/noarch/repodata.json" reachable from your corporate network? just try it in the browser or curl

    Thanks,

    Alex



    ------------------------------
    Alexander Klochkov
    Rocket Software
    ------------------------------



  • 12.  RE: ROCKET PUBLIC CONDA CHANNEL - HTTP 000

    Posted 01-04-2021 11:53
    Alex all those changes were made in previous attempts and multiple installs have been run following the Pdf steps.
    At this stage Im just retrying things I have done before . 
    Yes the link works https://conda.anaconda.org/zoss-appdev/noarch/repodata.json .




    ------------------------------
    Michael Hurley
    DELL EMC
    ------------------------------



  • 13.  RE: ROCKET PUBLIC CONDA CHANNEL - HTTP 000

    Posted 01-05-2021 08:03
    Michael,
    We recommend to contact your system administrator to clarify the network settings. It seems there is a proxy, which blocks access to internet from z/OS. If so, you need to adjust your config file.

    ------------------------------
    Tatiana Balaburkina
    Rocket Software
    ------------------------------



  • 14.  RE: ROCKET PUBLIC CONDA CHANNEL - HTTP 000

    Posted 03-15-2021 14:33
    Edited by Dave Andrews 03-15-2021 16:05
    Hi Michael,

    I am sorry to hear that your issue was not resolved. You didn't respond to our last message and we assumed that you were able to resolve the issue.

    If you take a look at the output of command "openssl s_client -connect conda.anaconda.org:443", you will notice self-signed certificates, which shouldn't be there. You can also check status: "Verify return code: 19 (self signed certificate in certificate chain)", but it should be "Verify return code: 0 (ok)". That leads to the conda error. 

    Let's try the following:
    1. Run "conda activate".
    2. Make sure that your base environment is active: "conda info | grep active". The output should contain the line "active environment : base".
    3. Check environment variables: "env | grep SSL". You should see the following variables in the output:
    SSL_CERT_FILE=/usr/lpp/miniconda/miniconda/ssl/cert.pem
    SSL_CERT_DIR=/usr/lpp/miniconda/miniconda/ssl/certs
    OPENSSL_CONF=/usr/lpp/miniconda/miniconda/ssl/openssl.cnf
    4. If everything was fine on the previous steps, try "conda search g".


    ------------------------------
    Tatiana Balaburkina
    Rocket Software
    ------------------------------



  • 15.  RE: ROCKET PUBLIC CONDA CHANNEL - HTTP 000

    Posted 03-15-2021 15:18
    It was a test environment, I already spent alot of time trying all you other suggestions, none of which worked. 
    I dont have time to devote to this anymore.

    thanks
    Mike 


    ------------------------------
    Michael Hurley
    DELL EMC
    ------------------------------



  • 16.  RE: ROCKET PUBLIC CONDA CHANNEL - HTTP 000

    Posted 03-26-2021 18:27
    Hi, 

    I had the same issue where no matter what I did, I would get the following error:

    OpenSSL.SSL.Error: [('SSL routines', 'ssl3_get_server_certificate', 'certificate verify failed')]

    Initially I specified ssl_verify: False in /usr/lpp/<miniconda_install>/.condarc. That didn't work. (Not recommend by the way, only for testing purposes.)

    Then I found this post on github, from user "ibelieveai". 

    Long story short, I put the following in my .profile:

    export REQUESTS_CA_BUNDLE=/u/your_user_id/cacert.pem

    Re-logged back into SSH, and it worked fine. It seems that conda requires that PEM file even if you have SSL validation turned off. 

    My particular cacert.pem had my companies CA in it, so I could actually use SSL validation. 

    If you don't have a corporate proxy, or have SSL validation turned off, you can use /usr/lpp/<miniconda_install>/ssl/cacert.pem


    Hope this helps.

    Chris Gulledge



    ------------------------------
    Chris Gulledge
    Systems Programmer
    First Horizon
    ------------------------------